// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "AboutDialog.h"
#include "FlashQard.h"


AboutDialog::AboutDialog(QWidget *parent)
   : QDialog(parent)
{
   setupUi(this);

   logoLabel -> setPixmap(QPixmap::fromImage(QImage(":/images/flashqard_icon.png").scaled(QSize(90, 90))));
   headerLabel -> setText(tr("<h2 style=\"color:#0000bb;\">FlashQard MORF.LV edition (unofficial)</h2><p>Version %1</p>").arg(VERSION));

   aboutTextBrowser -> setHtml(tr("<p><b>FlashQard <a href=\"http://morf.lv\">MORF.LV</a> edition</b> hopefully edition with fixed image loading and image fetching from WEB</p>"
                                  "<p>Fixes were made on <b>04.07.2013</b> by Raivis Strogonovs. Official website <a href=\"http://morf.lv\">http://morf.lv</a> <p>"
                                   "<p><b>FlashQard</b> helps you memorize information using an efficient way called Leitner System.</p>"
                                  "<p>Copyright (c) 2008-2009, Shahab Shirazi<br>"                                  
                                  "<a href=\"mailto:shahab@flashqard-project.org\">shahab@flashqard-project.org</a></p>"
                                  "<p><a href=\"http://www.flashqard-project.org\">www.flashqard-project.org</a></p>"));
   
   authorsTextBrowser -> setHtml(tr("<p>Please use <a href=\"http://www.flashqard-project.org/bugReport.php\">"
                                    "bug report page </a>to report bugs.</p>"
                                    "<p>Shahab Shirazi<br> &nbsp; <a href=\"mailto:shahab@flashqard-project.org\">"
                                    "shahab@flashqard-project.org</a></p>"));

   translationTextBrowser -> setHtml(tr("<p><b>Pavel Fric</b><br>"
                                        " &nbsp; Czech translation<br>"
                                        " &nbsp; <a href=\"mailto:pavelfric@seznam.cz\">"
                                        "pavelfric@seznam.cz</a><br> &nbsp; <a href=\"http://www.fripohled.blogspot.com\">"
                                        "www.fripohled.blogspot.com</a></p>"));

   licenseTextBrowser -> setHtml(tr("<p>Copyright (c) 2008-2009, FlashQard Team</p>"
                                    "<p>This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or(at your option) any later version.</p>"
                                    "<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.</p>"
                                    "<p>You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc.,<br>59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.</p>"));

   thanksTextBrowser -> setHtml(tr("<p><a href=\"mailto:tsdgeos@terra.es\">Albert Astals Cid</a><br>"
                                   " &nbsp; developer of <a href=\"http://tsdgeos@terra.es\">KGeography project</a><br>"
                                   " &nbsp; maps, flags and some codes are from KGeography project.</p>"
                                   "<p><a href=\"mailto:mehrdad.momeny@gmail.com\">Mehrdad Momeny</a><br>"
                                   "<a href=\"mailto:ThinkGNU@gmail.com\">Majid Ramezanpour</a><br>"
                                   " &nbsp; developers of <a href=\"http://mdic.sourceforge.net\">MDic project</a><br>"
                                   " &nbsp; Some codes related to the translator are from MDic project.</p>"));
}



