// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab.sh.70@gmail.com>                 |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab.sh.70@gmail.com>                        |
// +-------------------------------------------------------------------------+

#ifndef CARDEDITORMAP_H
#define CARDEDITORMAP_H

#include "CardEditor.h"
#include "ui_CardEditorMap.h"
class CardMap;
class division;
class KGmap;

class CardEditorMap : public CardEditor, public Ui::CardEditorMap
{
   Q_OBJECT

   public:
      CardEditorMap(QWidget* = 0);
      virtual void editCard(Card*);
      virtual void clearEditor();
      virtual Card* currentCard() const;
      
   protected:
      void focusInEvent(QFocusEvent*);

   private slots:
      void on_commentsTextEditor_editingFinished();
      void currentMapChangedSlot(int);
      void currentRegionChangedSlot(int);
      void on__mapWidget_clicked(QRgb, const QPoint&);
      void on_capitalButton_clicked();
      void updateEditor();

   private:
      CardMap *card;
      QList<division*> currentDivisions;
      KGmap *currentMap;

      void selectMap(const QString&);
      void selectMap(int);
      bool selectDivision(const QString& = QString());
      bool selectDivision(int);
      void divisionSelected(division*);
      void updateRegionsComboBox();
      void saveMapAndRegion();
      void highlightSelectedRegion(const QColor&);
};

#endif
