// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef CARDEDITORREGULAR_H
#define CARDEDITORREGULAR_H

#include "CardEditor.h"
#include "ui_CardEditorRegular.h"
class CardRegular;

class CardEditorRegular : public CardEditor, public Ui::CardEditorRegular
{
   Q_OBJECT
   
   public:
      CardEditorRegular(QWidget* = 0);
      virtual void editCard(Card*);
      virtual void clearEditor();
      virtual Card* currentCard() const;
      
   protected:
      void focusInEvent(QFocusEvent*);
      
   private slots:
      void on_frontSideTextEditor_editingFinished();
      void on_backSideTextEditor_editingFinished();
      void on_frontSideTextEditor_editingFinishKeyPressed();
      void on_backSideTextEditor_editingFinishKeyPressed();
      void on_commentsTextEditor_editingFinished();
      void updateEditor();
      
   private:
      CardRegular *card;
};




#endif
