// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef CARDREVIEWER_H
#define CARDREVIEWER_H

#include <QWidget>
#include "CardReviewerWidget.h"
class Card;

class CardReviewer : public QWidget
{
   Q_OBJECT
   
   public:
      CardReviewer(QWidget* = 0);
      
      virtual void showCard(const Card*) = 0;
      virtual void verify() = 0;
      virtual void clear() = 0;

   public slots:
      virtual void play() {}
      virtual void stop() {}
      virtual bool isPlaying() {return false;}

      virtual void showHints() {}
      virtual void hideHints() {}

   signals:
      void playingStartedSignal();
      void playingFinishedSignal();
      void userAnsweredSignal(UserAnswer);

   protected slots:
      void playingFinished() {emit playingFinishedSignal();}
      void playingStarted() {emit playingStartedSignal();}

   protected:
      QString getNoHintsMessage() const;
      
};

#endif
