// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef CARDREVIEWERMAP_H
#define CARDREVIEWERMAP_H

#include "CardReviewer.h"
#include "map.h"
#include "ui_CardReviewerMap.h"
class CardMap;
class KGmap;

class CardReviewerMap : public CardReviewer, public Ui::CardReviewerMap
{
   Q_OBJECT

   public:
      CardReviewerMap(QWidget* = 0);

      virtual void showCard(const Card*);
      virtual void verify();
      virtual void clear();

   public slots:
      virtual void play();
      virtual void stop();
      virtual bool isPlaying();
      virtual void showHints();
      virtual void hideHints();

   private slots:
//      void readingFinishedSlot(int);
      void on_commentsCheckBox_toggled(bool);
      void clickedOnMapWidget(QRgb, const QPoint&);
      void userAnsweredCorrectly();
      void userAnsweredWrongly();
      
   private:
      const CardMap *card;
      KGmap *map;
      bool answered;
      bool isVerifying;

      void updateHints();
      void showMap();
      QRgb correctRegion();
      void highlightCorrectAnswer(int);
      void askQuestion();

};

#endif
