// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef CARDREVIEWERREGULAR_H
#define CARDREVIEWERREGULAR_H

#include "CardReviewer.h"
#include "ui_CardReviewerRegular.h"
class CardRegular;

class CardReviewerRegular : public CardReviewer, public Ui::CardReviewerRegular
{
   Q_OBJECT
   
   public:
      CardReviewerRegular(QWidget* = 0);
      
      virtual void showCard(const Card*);
      virtual void verify();
      virtual void clear();

   public slots:
      virtual void play();
      virtual void stop();
      virtual bool isPlaying();
      virtual void showHints();
      virtual void hideHints();


   private slots:
      void readingFinishedSlot(int);
      void on_commentsCheckBox_toggled(bool);
      
   private:
      const CardRegular *card;
      bool isFrontSideVisible;
      int readingID;
      
      void showFrontSide();
      void showBackSide();
      void updateHints();
};

#endif

