// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab.sh.70@gmail.com>                 |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab.sh.70@gmail.com>                        |
// +-------------------------------------------------------------------------+

#include "CardMap.h"

CardMap::CardMap()
{
   
}

CardMap:: ~CardMap()
{

}

CardType CardMap::getType() const
{
   return CardType_Map;
}

bool CardMap::contains(const QString &string, bool isRegExp) const
{
   QRegExp regExp = isRegExp ? QRegExp(string) : QRegExp(string, Qt::CaseInsensitive, QRegExp::Wildcard);
   return (map.contains(regExp) || region.contains(regExp) || comments.contains(regExp));
}

void CardMap::setMap(const QString &c)
{
   map = c;
}

QString CardMap::getMap() const
{
   return map;
}

void CardMap::setRegion(const QString &d)
{
   region = d;
}
QString CardMap::getRegion() const
{
   return region;
}

QString CardMap::getComments() const
{
   return comments;
}
void CardMap::setComments(const QString &c)
{
   comments = c;
}

QString CardMap::makeTitle() const
{
   return region + " - " + map;
}

Card* CardMap::cloneYourSelf() const
{
   CardMap *newCard = new CardMap(*this);
   return newCard;
}

