// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab.sh.70@gmail.com>                 |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab.sh.70@gmail.com>                        |
// +-------------------------------------------------------------------------+

#ifndef CARDMAP_H
#define CARDMAP_H

#include "Card.h"

class CardMap : public Card
{
   public:
      CardMap();
      virtual ~CardMap();

      virtual CardType getType() const;
      virtual bool contains(const QString&, bool) const;

      void setMap(const QString&);
      QString getMap() const;
      void setRegion(const QString&);
      QString getRegion() const;

      QString getComments() const;
      void setComments(const QString&);
   
   protected:
      virtual QString makeTitle() const;
      virtual Card* cloneYourSelf() const;

   private:
      QString map;
      QString region;
      QString comments;
};



#endif
