// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef CARDREGULAR_H
#define CARDREGULAR_H

#include "Card.h"

class CardRegular : public Card
{
   public:
      CardRegular();
      virtual ~CardRegular();

      virtual CardType getType() const;
      virtual bool contains(const QString&, bool) const;

      Document* getFrontSideDocument();
      const Document* getFrontSideDocument() const;
      Document* getBackSideDocument();
      const Document* getBackSideDocument() const;

      QString getComments() const;
      void setComments(const QString&);

   protected:
      virtual QString makeTitle() const;
      virtual Card* cloneYourSelf() const;

   private:
      Document *frontSideDocument;
      Document *backSideDocument;

      mutable QString title;
      QString comments;
};


#endif
