// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef CONFIGUREREVIEWDIALOG_H
#define CONFIGUREREVIEWDIALOG_H

#include <QDialog>
#include "ui_ConfigureReviewDialog.h"

enum {ConfigureReviewDialog_StartReview = 100};

class ConfigureReviewDialog : public QDialog, public Ui::ConfigureReviewDialog
{
   Q_OBJECT

   public:
      ConfigureReviewDialog(QWidget* = 0);
      void loadSettings();


   private slots:
      void currentRowChangedSlot(int);
      void on_startReviewButton_clicked();
      void on_okButton_clicked();
      void on_applyButton_clicked();
      void on_cancelButton_clicked();
      void on_defaultsButton_clicked();
      void on_defaultsForAllButton_clicked();
      
   private:
      void createPages();
};
   


#endif


