// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "ConfigureReviewGeneral.h"
#include "Settings.h"

ConfigureReviewGeneral::ConfigureReviewGeneral(QWidget *parent)
   : SettingsWidget(parent)
{
   setupUi(this);
}

void ConfigureReviewGeneral::saveSettings()
{
   Settings::settings() -> reviewCardsNumber = cardsNumberSpinBox->value();
   Settings::settings() -> reviewAutoPlay = autoPlayCheckBox -> isChecked();
   Settings::settings() -> reviewShowHints = showHintsCheckBox -> isChecked();
   Settings::settings() -> reviewShowHintsOnlyOnVerify = showHintsOnlyOnVerifyCheckBox -> isChecked();
   Settings::settings() -> reviewShowCardsList = showCardsListCheckBox -> isChecked();
   Settings::settings() -> reviewExtractTitles = extractTitlesCheckBox -> isChecked();
}

void ConfigureReviewGeneral::loadSettings()
{
   cardsNumberSpinBox -> setValue(Settings::settings() -> reviewCardsNumber);
   autoPlayCheckBox -> setChecked(Settings::settings() -> reviewAutoPlay);
   showHintsCheckBox -> setChecked(Settings::settings() -> reviewShowHints);
   showHintsOnlyOnVerifyCheckBox -> setChecked(Settings::settings() -> reviewShowHintsOnlyOnVerify);
   showCardsListCheckBox -> setChecked(Settings::settings() -> reviewShowCardsList);
   extractTitlesCheckBox -> setChecked(Settings::settings() -> reviewExtractTitles);

   showHintsOnlyOnVerifyCheckBox -> setEnabled(showHintsCheckBox -> isChecked());
}

void ConfigureReviewGeneral::loadDefaults()
{
   cardsNumberSpinBox -> setValue(Settings::settings() -> reviewCardsNumber_default);
   autoPlayCheckBox -> setChecked(Settings::settings() -> reviewAutoPlay_default);
   showHintsCheckBox -> setChecked(Settings::settings() -> reviewShowHints_default);
   showHintsOnlyOnVerifyCheckBox -> setChecked(Settings::settings() -> reviewShowHintsOnlyOnVerify_default);
   showCardsListCheckBox -> setChecked(Settings::settings() -> reviewShowCardsList_default);
   extractTitlesCheckBox -> setChecked(Settings::settings() -> reviewExtractTitles_default);

   showHintsOnlyOnVerifyCheckBox -> setEnabled(showHintsCheckBox -> isChecked());
}

