// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "ConfigureReviewNavigation.h"
#include "Settings.h"


ConfigureReviewNavigation::ConfigureReviewNavigation(QWidget *parent)
        : SettingsWidget(parent)
{
   setupUi(this);
}

void ConfigureReviewNavigation::saveSettings()
{
   Settings::settings() -> reviewMarkCards = markCardsCheckBox->isChecked();
   Settings::settings() -> reviewNavigation = nextMarkedCardButton->isChecked() ? Navigation_SelectNextMarkedCard
           : previousMarkedCardButton->isChecked() ? Navigation_SelectPreviousMarkedCard
           : nextCardButton->isChecked() ? Navigation_SelectNextCard
           : previousCardButton->isChecked() ? Navigation_SelectPreviousCard
           : randomMarkedCardButton->isChecked() ? Navigation_RandomlySelectMakedCard
           : Navigation_RandomlySelectCard;
}

void ConfigureReviewNavigation::loadSettings()
{
   markCardsCheckBox-> setChecked(Settings::settings() -> reviewMarkCards);
   switch (Settings::settings() -> reviewNavigation)
   {
      case Navigation_SelectNextMarkedCard:
         nextMarkedCardButton->setChecked(true); break;
      case Navigation_SelectPreviousMarkedCard:
         previousMarkedCardButton->setChecked(true); break;
      case Navigation_SelectNextCard:
         nextCardButton->setChecked(true); break;
      case Navigation_SelectPreviousCard:
         previousCardButton->setChecked(true); break;
      case Navigation_RandomlySelectMakedCard:
         randomMarkedCardButton->setChecked(true); break;
      default:
         randomCardButton->setChecked(true); break;
   }
}

void ConfigureReviewNavigation::loadDefaults()
{
   markCardsCheckBox-> setChecked(Settings::settings() -> reviewMarkCards_default);
   switch (Settings::settings() -> reviewNavigation_default)
   {
      case Navigation_SelectNextMarkedCard:
         nextMarkedCardButton->setChecked(true); break;
      case Navigation_SelectPreviousMarkedCard:
         previousMarkedCardButton->setChecked(true); break;
      case Navigation_SelectNextCard:
         nextCardButton->setChecked(true); break;
      case Navigation_SelectPreviousCard:
         previousCardButton->setChecked(true); break;
      case Navigation_RandomlySelectMakedCard:
         randomMarkedCardButton->setChecked(true); break;
      default:
         randomCardButton->setChecked(true); break;
   }
}






