// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "ConfigureReviewVocabularyCards.h"
#include "Settings.h"
#include "LanguageDialog.h"

ConfigureReviewVocabularyCards::ConfigureReviewVocabularyCards(QWidget *parent)
   : SettingsWidget(parent)
{
   setupUi(this);
   connect(defaultButton, SIGNAL(toggled(bool)), this, SLOT(toggledSlot()));

}

void ConfigureReviewVocabularyCards::saveSettings()
{
   Settings::settings() -> reviewVocabularyCustomizedLanguage = customizedButton -> isChecked();
   Settings::settings() -> reviewVocabularyFromLanguage = fromLineEdit->text();
   Settings::settings() -> reviewVocabularyToLanguage = toLineEdit->text();
}

void ConfigureReviewVocabularyCards::loadSettings()
{
   defaultButton -> setChecked(!Settings::settings() -> reviewVocabularyCustomizedLanguage);
   customizedButton -> setChecked(Settings::settings() -> reviewVocabularyCustomizedLanguage);
   fromLineEdit -> setText(Settings::settings() -> reviewVocabularyFromLanguage);
   toLineEdit -> setText(Settings::settings() -> reviewVocabularyToLanguage);
}

void ConfigureReviewVocabularyCards::loadDefaults()
{
   defaultButton -> setChecked(!Settings::settings() -> reviewVocabularyCustomizedLanguage_default);
   customizedButton -> setChecked(Settings::settings() -> reviewVocabularyCustomizedLanguage_default);
   fromLineEdit -> setText(Settings::settings() -> reviewVocabularyFromLanguage_default);
   toLineEdit -> setText(Settings::settings() -> reviewVocabularyToLanguage_default);
}

void ConfigureReviewVocabularyCards::on_fromButton_clicked()
{
   LanguageDialog dialog(this);
   dialog.setLanguage(fromLineEdit -> text());
   if (dialog.exec())
      fromLineEdit -> setText(dialog.getLanguage());
}

void ConfigureReviewVocabularyCards::on_toButton_clicked()
{
   LanguageDialog dialog(this);
   dialog.setLanguage(toLineEdit -> text());
   if (dialog.exec())
      toLineEdit -> setText(dialog.getLanguage());
}

void ConfigureReviewVocabularyCards::toggledSlot()
{
   languageFrame -> setEnabled(customizedButton->isChecked());
}



