// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "FQ2ImportDialog.h"
#include "LanguageDialog.h"

FQ2ImportDialog::FQ2ImportDialog(QWidget *parent)
   : QDialog(parent)
{
   setupUi(this);
}

QString FQ2ImportDialog::getWordLanguage() const
{
   return wordLineEdit -> text();
}

QString FQ2ImportDialog::getMeaningLanguage() const
{
   return meaningLineEdit -> text();
}

void FQ2ImportDialog::on_wordButton_clicked()
{
   LanguageDialog dialog(this);
   dialog.setLanguage(wordLineEdit -> text());
   if (dialog.exec())
      wordLineEdit -> setText(dialog.getLanguage());
}

void FQ2ImportDialog::on_meaningButton_clicked()
{
   LanguageDialog dialog(this);
   dialog.setLanguage(meaningLineEdit -> text());
   if (dialog.exec())
      meaningLineEdit -> setText(dialog.getLanguage());
}


