// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include <QApplication>
#include <QLocale>
#include <QTranslator>
#include "MainWindow.h"
#include "Settings.h"

int main(int argc, char *argv[])
{
   QApplication app(argc, argv);
   Settings::settings() -> load();
   bool rightToLeft = false;
   
   QTranslator appTranslator;
   if (Settings::settings() -> generalLanguage == 0) //system default
   {
      appTranslator.load(":/translations/flashqard_" + QLocale::system().name());
      if (QLocale::system().language() == QLocale::Persian)
         rightToLeft = true;
   }
   else if (Settings::settings() -> generalLanguage == 2) //persian
   {
      appTranslator.load(":/translations/flashqard_fa");
      rightToLeft = true;
   }
   else if (Settings::settings() -> generalLanguage == 3)
      appTranslator.load(":/translations/flashqard_cs");

   app.installTranslator(&appTranslator);
   if (rightToLeft)
      QApplication::setLayoutDirection(Qt::RightToLeft);
   
   MainWindow::mainWindow() -> show();
   QString openFile = app.arguments().value(1);
   if (!openFile.isEmpty())
      MainWindow::mainWindow() -> openSlot(openFile);
   return app.exec();
}
