// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "HelpDialog.h"
#include <QFile>
#include <QMessageBox>
#include <QDesktopServices>



HelpDialog::HelpDialog(QWidget *parent)
   : QDialog(parent)
{
   setupUi(this);
   resize(QSize(800, 600));
   
   QFile file(":/doc/faq.html");
   if (!file.open(QIODevice::ReadOnly))
      QMessageBox::warning(0, QObject::tr("Help"),
                           QObject::tr("Could not find help file."));
   else
      webView -> setHtml(QString(file.readAll()));

   webView -> page() -> setLinkDelegationPolicy(QWebPage::DelegateExternalLinks);
   connect(webView, SIGNAL(linkClicked(const QUrl&)), this, SLOT(linkClickedSlot(const QUrl&)));
}

void HelpDialog::linkClickedSlot(const QUrl &url)
{
   if (url.toString().startsWith("mailto:", Qt::CaseInsensitive)
       || url.toString().startsWith("http", Qt::CaseInsensitive))
      QDesktopServices::openUrl(url);
   else
      webView -> load (url);
}


