// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "ImportConfigure.h"
#include "Card.h"

ImportConfigure::ImportConfigure(const CardBoxes *cardBoxes, QWidget *parent)
   : QDialog(parent)
{
   setupUi(this);
   for (int i=0; i<cardBoxes->size(); i++)
      addToCategoryComboBox -> addItem(cardBoxes->at(i) -> getBoxName());
}

FileReaderSettings ImportConfigure::getFileReaderSettings()
{
   FileReaderSettings settings;

   //category mode
   if (newCategoryButton -> isChecked())
      settings.categoryMode = FileReaderSettings::Category_Create;
   else if (addToCategoryButton -> isChecked())
      settings.categoryMode = FileReaderSettings::Category_AddTo;
   else
      settings.categoryMode = FileReaderSettings::Category_Automatic;

   //stageStackMode
   if (addToStackButton -> isChecked())
      settings.stageStackMode = FileReaderSettings::StageStack_AddToStack;
   else if (addToStageButton -> isChecked())
      settings.stageStackMode = FileReaderSettings::StageStack_AddToStage;
   else
      settings.stageStackMode = FileReaderSettings::StageStack_Automatic;

   //newCategoryName
   settings.newCategoryName = newCategoryLineEdit -> text();

   //existingCategoryNumber
   settings.existingCategoryNumber = addToCategoryComboBox -> currentIndex();

   //stageNumber
   settings.stageNumber = addToStageSpinBox -> value()-1;

   //importStatistics
   settings.importStatistics = importStatisticsCheckBox -> isChecked();

   //clearExistingCards
   settings.clearExistingCards = false;

   return settings;
}

