// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "LanguageDialog.h"

LanguageDialog::LanguageDialog(QWidget *parent)
   : QDialog(parent)
{
   setupUi(this);
   
   languageComboBox -> addItem(tr("Other"));
   for (int lang = QLocale::C+1; lang <= QLocale::LastLanguage; lang++)
   {
      QLocale::Language language = static_cast<QLocale::Language>(lang);
      languageComboBox -> addItem(QLocale::languageToString(language));
   }
   connect(languageComboBox, SIGNAL(currentIndexChanged(int)), this, SLOT(currentIndexChangedSlot()));
}

void LanguageDialog::setLanguage(const QString &language)
{
   int index = languageComboBox -> findText(language);
   if (index != -1)
      languageComboBox -> setCurrentIndex(index);
   else
   {
      languageComboBox -> setCurrentIndex(0);
      otherLineEdit -> setText(language);
   }
}

QString LanguageDialog::getLanguage() const
{
   if (languageComboBox->currentIndex() == 0)
      return otherLineEdit -> text();
   else
      return languageComboBox->currentText();
}

void LanguageDialog::currentIndexChangedSlot()
{
   otherLineEdit->setEnabled(languageComboBox->currentIndex() == 0);
}
