// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "MimeData.h"
#include "Card.h"
#include <QApplication>

MimeData::MimeData()
{

}

MimeData::~MimeData()
{
   //Do not delete it
   qDebug("MimeData::~MimeData()");
   while(cards.size())
      delete cards.takeAt(0);
}

void MimeData::setCards(const QList<Card*> &newCards)
{
   for (int i=0; i<newCards.size(); i++)
      cards << newCards[i] -> clone();
}

void MimeData::addCard(const Card *c)
{
   cards << c -> clone();
}

QList<Card*> MimeData::getCards() const
{
   return cards;
}

void MimeData::setCardPositions(const QList<CardPosition>& newPositions)
{
   positions = newPositions;
}

void MimeData::addCardPosition(const CardPosition &newPosition)
{
   positions << newPosition;
}

QList<CardPosition> MimeData::getCardPositions() const
{
   return positions;
}

bool MimeData::hasFormat(const QString &f) const
{
   if (f == CARD)
      return cards.size();
   else if (f == CARD_POSITION)
      return positions.size();
   else
      return QMimeData::hasFormat(f);
}

QStringList MimeData::formats() const
{
   QStringList types = QMimeData::formats();
   types << CARD << CARD_POSITION;
   return types;
}



