// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef MIMEDATA
#define MIMEDATA

#include <QMimeData>
class Card;
class CardPosition;

//card position should be specific to one instance of the software.
#define CARD_POSITION QString("CARD_POSITION_" + QString::number(reinterpret_cast<long>(qApp)))
#define CARD QString("CARD")

class MimeData : public QMimeData
{
   Q_OBJECT

   public:
      MimeData();
      ~MimeData();

      void setCards(const QList<Card*>&);
      void addCard(const Card*);
      QList<Card*> getCards() const;

      void setCardPositions(const QList<CardPosition>&);
      void addCardPosition(const CardPosition&);
      QList<CardPosition> getCardPositions() const;
      
      virtual bool hasFormat(const QString&) const;
      virtual QStringList formats() const;

   private:
      QList<Card*> cards;
      QList<CardPosition> positions;
};



#endif

