// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef SETTINGSCARDAPPEARANCE_H
#define SETTINGSCARDAPPEARANCE_H

#include "SettingsWidget.h"
#include "ui_SettingsCardAppearance.h"

class SettingsCardAppearance : public SettingsWidget, public Ui::SettingsCardAppearance
{
   Q_OBJECT

   public:
      SettingsCardAppearance(QWidget* = 0);
      virtual void saveSettings();
      virtual void loadSettings();
      virtual void loadDefaults();

   private slots:
      void updateButtons();
      void on_fontFamilyComboBox_activated();
      void on_zoomSpinBox_valueChanged(double);
      void on_zoomSlider_valueChanged(int);
      void on_alignLeftButton_clicked();
      void on_alignCenterButton_clicked();
      void on_alignRightButton_clicked();
      void on_alignJustifyButton_clicked();
      void on_foregroundColorButton_clicked();
      void on_pageBackgroundColorButton_clicked();
      void on_leftToRightButton_clicked();
      void on_rightToLeftButton_clicked();

   private:
      void createActions();
      void selectAll();
};


#endif


