// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef SETTINGSGENERAL_H
#define SETTINGSGENERAL_H

#include "SettingsWidget.h"
#include "ui_SettingsGeneral.h"

class SettingsGeneral : public SettingsWidget, public Ui::SettingsGeneral
{
   Q_OBJECT

   public:
      SettingsGeneral(QWidget* = 0);
      virtual void saveSettings();
      virtual void loadSettings();
      virtual void loadDefaults();

   private slots:
      void updateIcons();
      void on_correctlyAnsweredButton_clicked();
      void on_wronglyAnsweredButton_clicked();
      void on_toBeAnsweredButton_clicked();
      void on_newCardsButton_clicked();
      
   private:
      QColor correctlyAnsweredCards;
      QColor wronglyAnsweredCards;
      QColor toBeAnsweredCards;
      QColor newCards;
};


#endif
