// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "SettingsTextToSpeech.h"
#include "Settings.h"

SettingsTextToSpeech::SettingsTextToSpeech(QWidget *parent)
   :SettingsWidget(parent)
{
   setupUi(this);
   pitchLabel -> setMinimumSize(speedLabel->sizeHint());
}

void SettingsTextToSpeech::saveSettings()
{
   Settings::settings() -> espeakPitch = pitchSpinBox->value();
   Settings::settings() -> espeakSpeed = speedSpinBox->value();
   Settings::settings() -> espeakAccent = accentComboBox -> currentIndex();
}

void SettingsTextToSpeech::loadSettings()
{
   pitchSpinBox -> setValue(Settings::settings() -> espeakPitch);
   pitchSlider -> setValue(pitchSpinBox->value());
   speedSpinBox -> setValue(Settings::settings() -> espeakSpeed);
   speedSlider -> setValue(speedSpinBox->value());
   accentComboBox -> setCurrentIndex(Settings::settings() -> espeakAccent);
}

void SettingsTextToSpeech::loadDefaults()
{
   pitchSpinBox -> setValue(Settings::settings() -> espeakPitch_default);
   speedSpinBox -> setValue(Settings::settings() -> espeakSpeed_default);
   accentComboBox -> setCurrentIndex(Settings::settings() -> espeakAccent_default);
}

