// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef SIDEPANEL_H
#define SIDEPANEL_H

#include <QWidget>
#include <QIcon>
#include "PrettyButton.h"
class QStackedWidget;
class QString;
class QVBoxLayout;

// class SidePanelButton : public PrettyButton
// {
//    Q_OBJECT

//    public:
//       SidePanelButton(QWidget* = 0);
//       SidePanelButton(const QIcon&, const QIcon&, const QString&, QWidget* = 0);
//       void setCheckedIcon(const QIcon&);
//       void setUncheckedIcon(const QIcon&);

//    private slots:
//       void updateIcon();

//    private:
//       void initialize();
      
//       QIcon checkedIcon;
//       QIcon unCheckedIcon;
// };


class SidePanel : public QWidget
{
   Q_OBJECT

   public:
      SidePanel(QWidget* = 0);
      ~SidePanel();
      void addItem(QWidget*, const QString&, const QIcon& = QIcon());
      void removeItem(int);
      void setCurrentIndex(int);
      void setCurrentWidget(QWidget*);
      void hideCurrentWidget();
      void showItemOfWidget(QWidget*);
      void hideItemOfWidget(QWidget*);
      int indexOf(QWidget*) const;
      QWidget* currentWidget() const;
      int currentIndex() const;
      void setItemText(int, const QString&);
      void setItemIcon(int, const QIcon&);
      void setItemShortcut(int, const QKeySequence&);

      virtual QSize sizeHint() const;

   signals:
      void sizeChanged();
      
   private slots:
      void clickedSlot();
      
   private:
      QVBoxLayout *verticalLayout;
      QStackedWidget *stackedWidget;
      QList<PrettyButton*> buttons;

      void syncActionsAndWidgets();
};

#endif

