// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef STARTWIDGET_H
#define STARTWIDGET_H

#include <QWidget>
class QListWidget;
class QPushButton;
class QAction;
class QToolBar;
class QToolButton;

class StartWidget : public QWidget
{
   Q_OBJECT
   
   public:
      StartWidget(QWidget* = 0);
      void start();
      int getCurrentRow() const;
      void setCurrentRow(int);
      
   signals:
      void reviewCardsSignal(int);
      void manageCardsSignal(int);
      void somethingEdited();
      
   private slots:
      void updateList();
      void updateActionsAndButtons();
      void updateListAndActionsAndButtons();
      void addBoxSlot();
      void removeBoxSlot();
      void renameBoxSlot();
      void moveUpSlot();
      void moveDownSlot();
      void reviewCardsSlot();
      void manageCardsSlot();
      void resetStatisticsCurrentBoxSlot();
      void resetStatisticsAllBoxesSlot();

   private:
      QListWidget *boxList;
      QAction *addBoxAction;
      QAction *removeBoxAction;
      QAction *renameBoxAction;
      QAction *moveUpAction;
      QAction *moveDownAction;
      QToolButton *resetStatisticsButton;
      QAction *resetStatisticsCurrentBoxAction;
      QAction *resetStatisticsAllBoxesAction;

      QToolBar *toolBar;
      QPushButton *manageCardsButton;
      QPushButton *reviewCardsButton;

      void createActionsAndWidgets();
      void createLayouts();
};

#endif
