// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+


#ifndef OBJECTEDITORIMAGE_H
#define OBJECTEDITORIMAGE_H

#include "ObjectEditor.h"
#include "ui_ObjectEditorImage.h"

class ObjectEditorImage : public ObjectEditor , public Ui::ObjectEditorImage
{
   Q_OBJECT

   public:
      ObjectEditorImage(TextEditor*, QWidget* = 0);

      virtual void editObject(TextEditorObject*);
      virtual void finishEditing();
//      virtual bool isChanged() const;
//      virtual const TextEditorObject* getObject() const;

   private slots:
      void on_widthSpinBox_valueChangedByUser(int);
      void on_heightSpinBox_valueChangedByUser(int);
      void on_constrainRatioCheckBox_toggled(bool);
      void on_closeButton_clicked();
      void on_resizeButton_clicked();
      void on_flipButton_clicked();
      void on_mirrorButton_clicked();
      void on_rotateRightButton_clicked();
      void on_rotateLeftButton_clicked();

   private:
      TextEditorObjectImage* object;
      int ratioWidth;
      int ratioHeight;
};


#endif
