// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "maphelper.h"
#include "Utilities.h"
#include "map.h"
#include <QDir>

QList<KGmap*> MapHelper::maps;
int MapHelper::worldMapIndex = -1;

const QList<KGmap*> MapHelper::getListOfMaps()
{
   if (maps.size())
      return maps;
   else
   {
      mapReader _mapReader;
      QDir directory(Paths::getKgeographyDataPath());
      QStringList kgmFiles = directory.entryList(QStringList("*.kgm"), QDir::Files);

      qDebug("MapHelper::getListOfMaps(): dir=%s", directory.path().toAscii().constData());

      for(int i=0; i<kgmFiles.size(); i++)
      {
         QString path = directory.path() + QDir::separator() + kgmFiles[i];
         KGmap *map = _mapReader.parseMap(path);
         if (!map)
            qDebug("Error parsing %s: %s", path.toAscii().constData(), _mapReader.getError().toAscii().constData());
         else
            maps << map;
      }

      return maps;
   }
}

const KGmap* MapHelper::getWorldMap()
{
   if (worldMapIndex == -1)
   {
      //fill in "maps" variable
      getListOfMaps();

      for (int i=0; i<maps.size(); i++)
         if (maps[i] -> getName() == "World")
         {
            worldMapIndex = i;
            break;
         }
   }
   
   return maps[worldMapIndex];
}



