// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#include "GooglePropertiesDialog.h"

GooglePropertiesDialog::GooglePropertiesDialog(const QString &defaultSourceLanguage,
                                               const QString &defaultTargetLanguage,
                                               QWidget *parent)
   : QDialog(parent)
{
   setupUi(this);

   sourceComboBox -> addItem(tr("Detect language"), "auto");
   sourceComboBox -> addItem(tr("Afrikaans"), "af");
   sourceComboBox -> addItem(tr("Albanian"), "sq");
   sourceComboBox -> addItem(tr("Arabic"), "ar");
   sourceComboBox -> addItem(tr("Belarusian"), "be");
   sourceComboBox -> addItem(tr("Bulgarian"), "bg");
   sourceComboBox -> addItem(tr("Catalan"), "ca");
   sourceComboBox -> addItem(tr("Chinese"), "zh");
   sourceComboBox -> addItem(tr("Croatian"), "hr");
   sourceComboBox -> addItem(tr("Czech"), "cs");
   sourceComboBox -> addItem(tr("Danish"), "da");
   sourceComboBox -> addItem(tr("Dutch"), "nl");
   sourceComboBox -> addItem(tr("English"), "en");
   sourceComboBox -> addItem(tr("Estonian"), "et");
   sourceComboBox -> addItem(tr("Filipino"), "tl");
   sourceComboBox -> addItem(tr("Finnish"), "fi");
   sourceComboBox -> addItem(tr("French"), "fr");
   sourceComboBox -> addItem(tr("Galician"), "gl");
   sourceComboBox -> addItem(tr("German"), "de");
   sourceComboBox -> addItem(tr("Greek"), "el");
   sourceComboBox -> addItem(tr("Hebrew"), "iw");
   sourceComboBox -> addItem(tr("Hindi"), "hi");
   sourceComboBox -> addItem(tr("Hungarian"), "hu");
   sourceComboBox -> addItem(tr("Icelandic"), "is");
   sourceComboBox -> addItem(tr("Indonesian"), "id");
   sourceComboBox -> addItem(tr("Irish"), "ga");
   sourceComboBox -> addItem(tr("Italian"), "it");
   sourceComboBox -> addItem(tr("Japanese"), "ja");
   sourceComboBox -> addItem(tr("Korean"), "ko");
   sourceComboBox -> addItem(tr("Latvian"), "lv");
   sourceComboBox -> addItem(tr("Lithuanian"), "lt");
   sourceComboBox -> addItem(tr("Macedonian"), "mk");
   sourceComboBox -> addItem(tr("Malay"), "ms");
   sourceComboBox -> addItem(tr("Maltese"), "mt");
   sourceComboBox -> addItem(tr("Norwegian"), "no");
   sourceComboBox -> addItem(tr("Persian"), "fa");
   sourceComboBox -> addItem(tr("Polish"), "pl");
   sourceComboBox -> addItem(tr("Portuguese"), "pt");
   sourceComboBox -> addItem(tr("Romanian"), "ro");
   sourceComboBox -> addItem(tr("Russian"), "ru");
   sourceComboBox -> addItem(tr("Serbian"), "sr");
   sourceComboBox -> addItem(tr("Slovak"), "sk");
   sourceComboBox -> addItem(tr("Slovenian"), "sl");
   sourceComboBox -> addItem(tr("Spanish"), "es");
   sourceComboBox -> addItem(tr("Swahili"), "sw");
   sourceComboBox -> addItem(tr("Swedish"), "sv");
   sourceComboBox -> addItem(tr("Thai"), "th");
   sourceComboBox -> addItem(tr("Turkish"), "tr");
   sourceComboBox -> addItem(tr("Ukrainian"), "uk");
   sourceComboBox -> addItem(tr("Vietnamese"), "vi");
   sourceComboBox -> addItem(tr("Welsh"), "cy");
   sourceComboBox -> addItem(tr("Yiddish"), "yi");

   targetComboBox -> addItem(tr("Afrikaans"), "af");
   targetComboBox -> addItem(tr("Albanian"), "sq");
   targetComboBox -> addItem(tr("Arabic"), "ar");
   targetComboBox -> addItem(tr("Belarusian"), "be");
   targetComboBox -> addItem(tr("Bulgarian"), "bg");
   targetComboBox -> addItem(tr("Catalan"), "ca");
   targetComboBox -> addItem(tr("Chinese"), "zh");
   targetComboBox -> addItem(tr("Croatian"), "hr");
   targetComboBox -> addItem(tr("Czech"), "cs");
   targetComboBox -> addItem(tr("Danish"), "da");
   targetComboBox -> addItem(tr("Dutch"), "nl");
   targetComboBox -> addItem(tr("English"), "en");
   targetComboBox -> addItem(tr("Estonian"), "et");
   targetComboBox -> addItem(tr("Filipino"), "tl");
   targetComboBox -> addItem(tr("Finnish"), "fi");
   targetComboBox -> addItem(tr("French"), "fr");
   targetComboBox -> addItem(tr("Galician"), "gl");
   targetComboBox -> addItem(tr("German"), "de");
   targetComboBox -> addItem(tr("Greek"), "el");
   targetComboBox -> addItem(tr("Hebrew"), "iw");
   targetComboBox -> addItem(tr("Hindi"), "hi");
   targetComboBox -> addItem(tr("Hungarian"), "hu");
   targetComboBox -> addItem(tr("Icelandic"), "is");
   targetComboBox -> addItem(tr("Indonesian"), "id");
   targetComboBox -> addItem(tr("Irish"), "ga");
   targetComboBox -> addItem(tr("Italian"), "it");
   targetComboBox -> addItem(tr("Japanese"), "ja");
   targetComboBox -> addItem(tr("Korean"), "ko");
   targetComboBox -> addItem(tr("Latvian"), "lv");
   targetComboBox -> addItem(tr("Lithuanian"), "lt");
   targetComboBox -> addItem(tr("Macedonian"), "mk");
   targetComboBox -> addItem(tr("Malay"), "ms");
   targetComboBox -> addItem(tr("Maltese"), "mt");
   targetComboBox -> addItem(tr("Norwegian"), "no");
   targetComboBox -> addItem(tr("Persian"), "fa");
   targetComboBox -> addItem(tr("Polish"), "pl");
   targetComboBox -> addItem(tr("Portuguese"), "pt");
   targetComboBox -> addItem(tr("Romanian"), "ro");
   targetComboBox -> addItem(tr("Russian"), "ru");
   targetComboBox -> addItem(tr("Serbian"), "sr");
   targetComboBox -> addItem(tr("Slovak"), "sk");
   targetComboBox -> addItem(tr("Slovenian"), "sl");
   targetComboBox -> addItem(tr("Spanish"), "es");
   targetComboBox -> addItem(tr("Swahili"), "sw");
   targetComboBox -> addItem(tr("Swedish"), "sv");
   targetComboBox -> addItem(tr("Thai"), "th");
   targetComboBox -> addItem(tr("Turkish"), "tr");
   targetComboBox -> addItem(tr("Ukrainian"), "uk");
   targetComboBox -> addItem(tr("Vietnamese"), "vi");
   targetComboBox -> addItem(tr("Welsh"), "cy");
   targetComboBox -> addItem(tr("Yiddish"), "yi");

   int index;
   index = sourceComboBox -> findData(defaultSourceLanguage);
   sourceComboBox -> setCurrentIndex(index);

   index = targetComboBox -> findData(defaultTargetLanguage);
   targetComboBox -> setCurrentIndex(index);
}

QString GooglePropertiesDialog::getSourceLanguage() const
{
   return sourceComboBox -> itemData(sourceComboBox -> currentIndex()).toString();;
}

QString GooglePropertiesDialog::getTargetLanguage() const
{
   return targetComboBox -> itemData(targetComboBox -> currentIndex()).toString();
}


