// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef TRANSLATORSERVICE_H
#define TRANSLATORSERVICE_H
#include <QObject>

class TranslationRecord
{
   public:
      QString translatorName;
      QString searchPhrase;
      QString translation;
};

class TranslatorService : public QObject
{
   Q_OBJECT

   public:
      TranslatorService(QObject* = 0);
      ~TranslatorService() {}

      virtual QString getName() const = 0;
      virtual QString getLastErrorMessage() const = 0;
      virtual QList<TranslationRecord> getLastTranslationRecords() const = 0;
      virtual bool isAvailable() const = 0;
      virtual bool isSearching() const = 0;
      virtual void find(const QString&) = 0;
   
   signals:
      void searchFinishedSignal(TranslatorService*);
};

#endif
