// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

#ifndef TRANSLATORWIDGET_H
#define TRANSLATORWIDGET_H

#include <QWidget>
#include <QList>
#include "TranslatorService.h"
class QWebView;
class QLineEdit;
class QToolButton;
class ConfigureTranslatorDialog;
class QUrl;

class TranslatorWidget : public QWidget
{
   Q_OBJECT

   public:
      TranslatorWidget(QWidget* = 0);
      QSize sizeHint() const;
      void setShowCreateCardOption(bool);
      void updateTranslator();

   signals:
      void createVocabularyCardSignal(const QString&, const QString&);

   private slots:
      void searchSlot();
      void searchFinishedSlot(TranslatorService*);
      void configureSlot();
      void readSlot();
      void setReadButtonIcon();
      void linkClickedSlot(const QUrl&);
      void updateBoard();
   
   private:
      QList<TranslatorService*> services;
      QWebView *webView;
      QLineEdit *searchLineEdit;
      QToolButton *searchButton;
      QToolButton *configureButton;
      QToolButton *readButton;
      ConfigureTranslatorDialog *configureDialog;
      QList<TranslationRecord> translationRecords;
      bool showCreateCardOption;
   
      void layout();
      void createServices();
      void tellUserTypeSomething();
};

#endif
