// +-------------------------------------------------------------------------+
// | FlashQard - An efficient way to memorize.                               |
// | Copyright (C) 2008-2009 Shahab <shahab@flashqard-project.org>           |
// +-------------------------------------------------------------------------+
// | License:                                                                |
// |                                                                         |
// | FlashQard is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by    |
// | the Free Software Foundation; either version 2 of the License, or       |
// | (at your option) any later version.                                     |
// |                                                                         |
// | FlashQard is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
// | GNU General Public License for more details.                            |
// |                                                                         |
// | You should have received a copy of the GNU General Public License       |
// | along with FlashQard; if not, write to the Free Software                |
// | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA|
// |                                                                         |
// +-------------------------------------------------------------------------+
// | Author:  Shahab Shirazi <shahab@flashqard-project.org>                  |
// +-------------------------------------------------------------------------+

// +-------------------------------------------------------------------------+
// | Some of the following codes are from MDic project.                      |
// | Thanks to:                                                              |
// | Mehrdad Momeny <mehrdad.momeny@gmail.com>                               |
// | Majid Ramezanpour <thinkgnu@gmail.com>                                  |
// +-------------------------------------------------------------------------+

#include <QMessageBox>
#include <QObject>

#include "dbman.h"
#include "Settings.h"

DbMan::DbMan()
{
}

//NOTE:
//int DbMan::getMean(QString word2find, Settings *config)
int DbMan::getMean(QString word2find)
{
   QStringList dbNames = Settings::settings() -> translatorDatabases.keys(true);
   if (word2find.isEmpty())
      return 0;
   if (dbNames.size()==0)
      return -1;

		while ( (word2find[0]!='@') && ((word2find[0]<97) || (word2find[0]>122 && word2find[0]<128))) //for remove characters before word like ; . or ... except @ (we need @ for related words link in babylon databases)
		{
			if (word2find.size() == 1)
					return 0;
			word2find.remove(0,1);
		}

        while ((word2find[word2find.length()-1]<97) || (word2find[word2find.length()-1]>122 && word2find[word2find.length()-1]<128)) { //for remove characters after word like ; . or ...
                if (word2find.size() == 1)
                        return 0;
                word2find.remove( word2find.length()-1, 1);
        }

        // use temp for test *s *ing *ed ...
        QString mainWord=word2find;

        // Store Mean of requested word from all Databases -no!-
        QString mean;
        QString nonHtmlMean;

        int result=0;

        bool founded, flgIes, flgNot, flgIly, flgUn, flgNess, flgOps, flgIed, flgNing, flgMent, flgIng, flgS, flgLy, flgEd, flgEs, flgEr, flgE;

//NOTE:
//        for (int row=0; row < config->SelectedDBNames.count(); row++) {
        for (int row=0; row < dbNames.size(); row++) {
                mean="";
                word2find=mainWord;
                founded=false;
                flgIes=flgNot=flgUn=flgIly=flgNess=flgOps=flgIed=flgNing=flgMent=flgIng=flgS=flgLy=flgEd=flgEs=flgEr=flgE=false;
                while (1) {
//NOTE:
//                        QSqlQuery query(QSqlDatabase::database(config->SelectedDBNames[row],true));
                        QSqlQuery query(QSqlDatabase::database(dbNames[row],true));

                        query.setForwardOnly(true);   //for performance
						QString wCh=word2find;
						if(wCh.contains("'"))
							wCh.replace("'", "''");
						if(!query.exec("select wmean,dbname,direction,category from word LEFT JOIN dbinfo WHERE wname='"+wCh+"'"))
							qDebug(("DbMan::getMean: lastError: "+query.lastError().text()).toLatin1().data());
                        while (query.next()) {
//NOTE:
//                                QString dbname= config->SelectedDBNames[row];
                                QString dbname= dbNames[row];
                                QString category="Unknown";
                                QString direction="ltr";
                                QString align="left";
								dbname=query.value(1).toString();
								category= query.value(3).toString();
								direction=(query.value(2).toString()=="rtl"?"rtl":"ltr");
								align=(query.value(2).toString()=="rtl"?"right":"left");
                                founded=true;
                                ++result;
                                Mean mTmp;
                                mTmp.row=row;
                                mTmp.word = word2find;
//NOTE:
//                                mTmp.htmlMean = "<div dir='"+direction+"' align='" +align+ "'>"+ fontToHtml(config->fontD, query.value(0).toString()) + "</div>";
                                mTmp.htmlMean = "<div dir='"+direction+"'>"+ query.value(0).toString() + "</div>";
                                mTmp.dbname = dbname;
//NOTE:
//                                mTmp.htmlDBName = "<font Style='font-family:"+config->fontD->family()+"; font-size:"+(config->fontD->pointSize()+2)+"pt;' color='#A1BF5B'><div align='center'> <strong> " + dbname + "</strong></div></font><B>"+word2find+":</B>";
                                mTmp.htmlDBName = dbname;
                                if (mTmp.word==mainWord)
                                        mTmp.same=true;
                                else
                                        mTmp.same=false;

                                meanLst.append(mTmp);
//                                 break;        //if find mean then return
                        }
						if(founded)
							break;
                        QString word2CheckE = word2find;
                        word2find=mainWord;

                        if ((flgIng || flgEd) && !flgE) {
                                flgE=true;
                                word2find = word2CheckE;
                                word2find.append("e");
                                continue;
                        } else if (word2find.left(2)=="un" && !flgUn) {
                                flgUn=true;
                                word2find.remove(0,2);
//                                 qDebug(word2find.toLatin1().data());
                                continue;
                        } else if (word2find.right(1)=="s" && !flgS) {
                                flgS=true;
                                word2find.remove(word2find.length()-1,1);
                                continue;
                        } else if (word2find.right(2)=="'s" && !flgOps) {
                                flgOps=true;
                                word2find.remove(word2find.length()-2,2);
                                continue;
                        } else if (word2find.right(3)=="ied" && !flgIed) {
                                flgIed=true;
                                word2find.remove(word2find.length()-3,3);
                                word2find.append("y");
                                continue;
                        } else if (word2find.right(3)=="ing" && !flgIng) {
                                flgIng=true;
                                word2find.remove(word2find.length()-3,3);
                                continue;
                        } else if (word2find.right(2)=="ly" && !flgLy) {
                                flgLy=true;
                                word2find.remove(word2find.length()-2,2);
                                continue;
                        } else if (word2find.right(2)=="ed" && !flgEd) {
                                flgEd=true;
                                word2find.remove(word2find.length()-2,2);
                                continue;
                        } else if (word2find.right(2)=="es" && !flgEs) {
                                flgEs=true;
                                word2find.remove(word2find.length()-2,2);
                                continue;
                        } else if (word2find.right(2)=="er" && !flgEr) {
                                flgEr=true;
                                word2find.remove(word2find.length()-2,2);
                                continue;
                        } else if (word2find.right(4)=="ning" && !flgNing) {
                                flgNing=true;
                                word2find.remove(word2find.length()-3,3);
                                continue;
                        } else if (word2find.right(4)=="ment" && !flgMent) {
                                flgMent=true;
                                word2find.remove(word2find.length()-4,4);
                                continue;
                        } else if (word2find.right(3)=="ies" && !flgIes) {
                                flgIes=true;
                                word2find.remove(word2find.length()-3,3);
                                word2find.append("y");
                                continue;
                        } else if (word2find.right(3)=="n't" && !flgNot) {
                                flgNot=true;
                                word2find.remove(word2find.length()-3,3);
                                continue;
                        } else if (word2find.right(3)=="ily" && !flgIly) {
                                flgIly=true;
                                word2find.remove(word2find.length()-3,3);
                                word2find.append("y");
                                continue;
                        } else if (word2find.right(4)=="ness" && !flgNess) {
                                flgNess=true;
                                word2find.remove(word2find.length()-4,4);
                                continue;
                        } else
                                break;
                }
        }
        sortMeans();
        return result;
}


QString DbMan::fontToHtml(QFont* inFont, QString text, QString color)
{
        QString out;
        out+=inFont->bold()?"<B>":"";
        out+=inFont->italic()?"<I>":"";
        out+=inFont->underline()?"<U>":"";
        out+="<font Style='"+(color!=0?"color:"+color+";":"")+" font-family:"+inFont->family()+";font-size:"+ QVariant(inFont->pointSize()).toString()+ "pt;font-weight:"+ QVariant(inFont->weight()).toString()+"'>&nbsp;";
        out+=text;
        out+="</font>";
        out+=inFont->underline()?"</U>":"";
        out+=inFont->italic()?"</I>":"";
        out+=inFont->bold()?"</B>":"";
        return out;
}

void DbMan::sortMeans()
{
        int sortTail=0;///always point to first not same, word!
        for (int r=0; r<meanLst.count(); ++r) {
                if (meanLst[r].same) {
                        meanLst.move(r,sortTail);
                        ++sortTail;
                }
        }
}

DbMan::~DbMan()
{

}
